Line to Arc

There's this cool feature in AutoCAD when you mouse over the mid-vertex point on a line and an option to convert the line to an Arc appears. Is there a way to get this feature in BricsCAD?

I am aware of selecting the proper vertex in properties and modifying the Bulge value to make it an arc.

Comments

  • I am aware of selecting the proper vertex in properties and modifying the Bulge value to make it an arc. So looks like you answered your own question.

    Submit a support request.
  • This is possible via QUAD - when you hover the necessary polyline segment pressing Ctrl, the QUAD with polyline edit options is displayed, including 'Adjust bulge' option. Available options are described in this Help article ("Using the edit polyline segments tools in the Quad" part): https://help.bricsys.com/document/_guides--BCAD_modifying_entities--GD_editingpolylines/V23/EN_US?id=165079153495

  • Anthony Apostolaros
    edited September 2023
    If you don't use the Quad cursor, you can create a custom command via Lisp (attached) and add it to the "Edit" context menu for polylines. Then it will appear as one of the right-click options whenever a polyline is selected. If you add it to the "Default" context menu, it will appear as a right-click option when nothing is selected.

    This is for old dogs like me who can't learn new tricks. If you're just starting out in Bricscad, you should try out the Quad cursor, and other features that Autocad doesn't have. This ability to create custom commands via Lisp is also a feature that Autocad LT doesn't have, and I think even the full version of Autocad doesn't have the Peditext command that's used to create this custom command.

    (defun c:PB () (command "Peditext" "B") ) ;bulge a segment

  • This is possible via QUAD - when you hover the necessary polyline segment pressing Ctrl, the QUAD with polyline edit options is displayed, including 'Adjust bulge' option. Available options are described in this Help article ("Using the edit polyline segments tools in the Quad" part): https://help.bricsys.com/document/_guides--BCAD_modifying_entities--GD_editingpolylines/V23/EN_US?id=165079153495

    Thank you!
  • If you don't use the Quad cursor, you can create a custom command via Lisp (attached) and add it to the "Edit" context menu for polylines. Then it will be appear as one of the right-click options whenever a polyline is selected. If you add it to the "Default" context menu, it will appear as a right-click option when nothing is selected.

    This is for old dogs like me who can't learn new tricks. If you're just starting out in Bricscad, you should try out the Quad cursor, and other features that Autocad doesn't have. But of course this ability to create custom commands via Lisp is also a feature that at least the affordable version of Autocad doesn't have, and I think even the full version of Autocad doesn't have the Peditext command that's used to create this custom command.

    (defun c:PB () (command "Peditext" "B") ) ;bulge a segment

    Thanks Anthony, this is almost perfect. I got it on the right click after selection, and this might be good enough. You wouldn't happen to know if this can be achieved somehow to be exactly like AutoCAD (mouse over popup menu)?
  • Ran said:

    You wouldn't happen to know if this can be achieved somehow to be exactly like AutoCAD (mouse over popup menu)?


    Possibly with a Grip Overrule https://forums.autodesk.com/t5/net/gripdata-onhover-how-to-add-a-context-menu/td-p/5667410
    MultiModesGripPE class doesn’t appear to be in BricsCAD’s API, though there’s an alternative posted in the thread.

    Definitely not trivial

  • Anthony Apostolaros
    edited August 2023
    Ran, I don't know anything about hover-activation. It might be possible (as Nigel said), but I've never looked into it. I don't like having things pop up when I move the cursor.

    As Lyubov said, the bulge command in the Quad cursor menu is activated when you hover over a polyline. And as I said before, you won't have to select the polyline first if you put the PB bulge command in the Default context menu.